//! A library implemting the logic for Conway's Game of Life
//! It can be embedded into applications, and can read the Plaintext and Life 1.05 file formats. 
#![feature(test)]
extern crate test;

pub mod game;
pub mod reader;
pub mod writer;

#[cfg(test)]
mod tests {
    use super::*;
    use test::Bencher;
    #[bench]
    fn test_spacefiller_perf (b: &mut Bencher) {
        let mut game = reader::read_game_at_path("tests/cells/spacefiller.cells").unwrap();
        b.iter(|| game.advance_board());
    }
}
